### Method

# Gsk ShaderArgsBuilderset_vec3

#### Declaration [src]

    void
    gsk_shader_args_builder_set_vec3 (
      GskShaderArgsBuilder* builder,
      int idx,
      const graphene_vec3_t* value
    )

#### Description [src]

Sets the value of the uniform `idx`.

The uniform must be of vec3 type.

#### Parameters

`idx`

  Type: `int`

  Index of the uniform.

`value`

  Type: `graphene_vec3_t`

  Value to set the uniform too.

  The data is owned by the caller of the method.